Bug 121054 - [PATCH] MakeMaker Version unusable for building RPMs from CPAN Modules
[PATCH] MakeMaker Version unusable for building RPMs from CPAN Modules
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-16 10:41 EDT by Markus Benning
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-15 12:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markus Benning 2004-04-16 10:41:29 EDT
Description of problem:
The Version of the MakeMaker shiped with the perl Package generates
which are unusaable for packagers.
The Makefiles generated with Version 6.03 of MakeMaker contain the
full epanded path, so the install Directories cannot be overwritten
eg. with PREFIX=$RPM_BUILD_ROOT/%{_prefix}

Version-Release number of selected component (if applicable):

How reproducible:
h2xs -X -n Test
cd Test
perl Makefile.PL

(see the generated Makefile)

This will install the Module not in /usr/lib/perl5 and not in
the specified PREFIX:

make && make PREFIX="/tmp/test" install


Please see:

There i put up a patch(perl-5.8.0-makemaker-update-6.21.patch) which
updates the
MakeMaker tree within the perl distribtion to the current version 6.21.
There's also a diff of my SPEC file agains the 88.4 spec(perl.spec.diff).

I also uploaded the following two Makefile which show the problem:
Makefile.MakeMaker-6.03 (bad)
Makefile.MakeMaker-6.21 (good)

The Authors of the MakeMaker Module fixed this problem around
Version 6.06.
This also applies to the perl Package which is shipped with RH9.
Comment 1 Robin Norwood 2006-10-01 19:31:18 EDT
assigning to rnorwood@redhat.com
Comment 2 Robin Norwood 2007-08-15 12:22:56 EDT
This bug is old and no longer applies.

Note You need to log in before you can comment on or make changes to this bug.